Package org.apache.maven.scm.provider.perforce.command.add

## Class PerforceAddCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.add.AbstractAddCommand
    - - org.apache.maven.scm.provider.perforce.command.add.PerforceAddCommand

All Implemented Interfaces:
  `Command`, `PerforceCommand`

    public class PerforceAddCommand
    extends AbstractAddCommand
    implements PerforceCommand

Author:
  Mike Perham

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`PerforceAddCommand()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.codehaus.plexus.util.cli.Commandline` `createCommandLine​(PerforceScmProviderRepository repo, java.io.File workingDirectory, ScmFileSet files)`
`protected ScmResult` `executeAddCommand​(ScmProviderRepository repo, ScmFileSet files, java.lang.String message, boolean binary)`

### Methods inherited from class org.apache.maven.scm.command.add.AbstractAddCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PerforceAddCommand

    public PerforceAddCommand()

### Method Detail

#### executeAddCommand

    protected ScmResult executeAddCommand​(ScmProviderRepository repo,
                                          ScmFileSet files,
                                          java.lang.String message,
                                          boolean binary)
                                   throws ScmException

Specified by:
  `executeAddCommand` in class `AbstractAddCommand`
Throws:
  `ScmException`

#### createCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createCommandLine​(PerforceScmProviderRepository repo,
                                                                             java.io.File workingDirectory,
                                                                             ScmFileSet files)